package com.diegocayo.organizame.data.repository

import com.diegocayo.organizame.data.local.datasource.PreferencesDataSource
import com.diegocayo.organizame.domain.repository.LoginRepository
import javax.inject.Inject

class LoginRepositoryImpl @Inject constructor(
    private val preferencesDataSource: PreferencesDataSource
) : LoginRepository {

    override suspend fun setLoginStatus(isLoggedIn: Boolean) {
        preferencesDataSource.setLoginStatus(isLoggedIn)
    }

    override suspend fun isLoggedIn(): Boolean {
        return preferencesDataSource.isLoggedIn()
    }
} 